#include "screen.h"
#include "mem.h"
#include "vcpu.h"

int main(int argc, char *argv[])
{

  // Initialize
  MemInit();
  MemLoadROM("../roms/2-ibm-logo.ch8");
  ScreenInit(800,400);
  VCPUInit();

  
  ScreenSetPixel(0,1,1);
  
  while (!WindowShouldClose()){
    ScreenUpdate();
  }
  
  ScreenClose();
  
  return 0;
}
